Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor.security
Interface SecurityConstants

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface SecurityConstants

A java interface used to hold common portal seucirty constants. There are no methods on this interface.

Field Summary
`static String` | `AUTO_LOGIN` Deprecated. Http Request parameter, check box field name in login.jsp
`static String` | `COOKIES` Deprecated. Return value for AutoLoginProcessor if the user has cookies
`static int` | `DEFAULT_COOKIE_TIMEOUT` Deprecated. Default Timeout for username and password cookies
`static String` | `DEFAULT_USER_PROFILE_TYPE` Deprecated. Servlet context parameter for default user profile type for self registration.
`static String` | `DISPLAY_NAME` Deprecated. Http Request parameter, display name entry
`static String` | `DROP_COOKIES` Deprecated. Return value for Login IP if user wants auto login cookies to deposited on his browser
`static String` | `FAILURE` Deprecated. Generic Processor return value to indicate failure
`static String` | `INVALID_CHARACTERS` Deprecated. String representing characters that the user can't enter in a form field
`static String` | `J_PASSWORD` Deprecated. Http Request parameter, key for J2EE login password
`static String` | `J_USERNAME` Deprecated. Http Request parameter, key for J2EE login username
`static String` | `LOGIN` Deprecated. Return value for Login IP if user doesnt want auto login
`static int` | `MAX_PASSWORD_LEN` Deprecated. Default Maximum password length allowed
`static int` | `MAX_USERNAME_LEN` Deprecated. Default Maximum user name length allowed
`static int` | `MIN_PASSWORD_LEN` Deprecated. Default Minimum password length allowed
`static int` | `MIN_USERNAME_LEN` Deprecated. Default Minimum user name length allowed
`static String` | `NEED_GROUP` Deprecated. Return value for GroupProcessor if the user had more then one group
`static String` | `NO_COOKIES` Deprecated. Return value for AutoLoginProcessor if the user has no cookies
`static String` | `PASSWORD_1` Deprecated. Http Request parameter, first password to compare to the first
`static String` | `PASSWORD_2` Deprecated. Http Request parameter, second password to compare to the first
`static String` | `PORTAL_AUTO_LOGIN` Deprecated. Servlet context parameter for enabling auto login.
`static String` | `PORTAL_AUTOLOGIN_COOKIE_TIMEOUT` Deprecated. Servlet context parameter for sutologin cookies timeout in seconds.
`static String` | `PORTAL_DEFAULT_USER_GROUP` Deprecated. Servlet context parameter for default user group for self registration.
`static String` | `PORTAL_GROUPS` Deprecated. Http Request parameter, select box field name in need_groups.jsp
`static String` | `PORTAL_MAX_PASSWORD_LEN` Deprecated. Servlet context parameter for maximum password length to override the default.
`static String` | `PORTAL_MAX_USERNAME_LEN` Deprecated. Servlet context parameter for maximum username length to override the default.
`static String` | `PORTAL_MIN_PASSWORD_LEN` Deprecated. Servlet context parameter for minimum password length to override the default.
`static String` | `PORTAL_MIN_USERNAME_LEN` Deprecated. Servlet context parameter for minimum username length to override the default.
`static String` | `PORTAL_PASSWORD_COOKIE_NAME` Deprecated. Name of the password cookie deposited on the browser
`static String` | `PORTAL_USERNAME_COOKIE_NAME` Deprecated. Name of the usename cookie deposited on the browser
`static String` | `PSK_USERS_GROUPS` Deprecated. PipelineSession parameter, key for list of user's groups
`static String` | `SECURITY_WEBFLOW_NAMESPACE` Deprecated. Security's pipeline session namespace
`static String` | `SUCCESS` Deprecated. Generic Processor return value to indicate success
`static String` | `USER_CREATED` Deprecated. Attribute set to true in the session if the user was just created, during the user creation and login process.

Field Detail

### PORTAL_USERNAME_COOKIE_NAME

    public static final String PORTAL_USERNAME_COOKIE_NAME

  Deprecated.
  Name of the usename cookie deposited on the browser

  See Also:
    Constant Field Values

### PORTAL_PASSWORD_COOKIE_NAME

    public static final String PORTAL_PASSWORD_COOKIE_NAME

  Deprecated.
  Name of the password cookie deposited on the browser

  See Also:
    Constant Field Values

### J_USERNAME

    public static final String J_USERNAME

  Deprecated.
  Http Request parameter, key for J2EE login username

  See Also:
    Constant Field Values

### J_PASSWORD

    public static final String J_PASSWORD

  Deprecated.
  Http Request parameter, key for J2EE login password

  See Also:
    Constant Field Values

### PASSWORD_1

    public static final String PASSWORD_1

  Deprecated.
  Http Request parameter, first password to compare to the first

  See Also:
    Constant Field Values

### PASSWORD_2

    public static final String PASSWORD_2

  Deprecated.
  Http Request parameter, second password to compare to the first

  See Also:
    Constant Field Values

### AUTO_LOGIN

    public static final String AUTO_LOGIN

  Deprecated.
  Http Request parameter, check box field name in login.jsp

  See Also:
    Constant Field Values

### PORTAL_GROUPS

    public static final String PORTAL_GROUPS

  Deprecated.
  Http Request parameter, select box field name in need_groups.jsp

  See Also:
    Constant Field Values

### DISPLAY_NAME

    public static final String DISPLAY_NAME

  Deprecated.
  Http Request parameter, display name entry

  See Also:
    Constant Field Values

### PORTAL_AUTO_LOGIN

    public static final String PORTAL_AUTO_LOGIN

  Deprecated.
  Servlet context parameter for enabling auto login.

  See Also:
    Constant Field Values

### PORTAL_MIN_USERNAME_LEN

    public static final String PORTAL_MIN_USERNAME_LEN

  Deprecated.
  Servlet context parameter for minimum username length to override the default.

  See Also:
    Constant Field Values

### PORTAL_MAX_USERNAME_LEN

    public static final String PORTAL_MAX_USERNAME_LEN

  Deprecated.
  Servlet context parameter for maximum username length to override the default.

  See Also:
    Constant Field Values

### PORTAL_MIN_PASSWORD_LEN

    public static final String PORTAL_MIN_PASSWORD_LEN

  Deprecated.
  Servlet context parameter for minimum password length to override the default.

  See Also:
    Constant Field Values

### PORTAL_MAX_PASSWORD_LEN

    public static final String PORTAL_MAX_PASSWORD_LEN

  Deprecated.
  Servlet context parameter for maximum password length to override the default.

  See Also:
    Constant Field Values

### PORTAL_AUTOLOGIN_COOKIE_TIMEOUT

    public static final String PORTAL_AUTOLOGIN_COOKIE_TIMEOUT

  Deprecated.
  Servlet context parameter for sutologin cookies timeout in seconds.

  See Also:
    Constant Field Values

### PORTAL_DEFAULT_USER_GROUP

    public static final String PORTAL_DEFAULT_USER_GROUP

  Deprecated.
  Servlet context parameter for default user group for self registration.

  See Also:
    Constant Field Values

### DEFAULT_USER_PROFILE_TYPE

    public static final String DEFAULT_USER_PROFILE_TYPE

  Deprecated.
  Servlet context parameter for default user profile type for self registration.

  See Also:
    Constant Field Values

### MIN_USERNAME_LEN

    public static final int MIN_USERNAME_LEN

  Deprecated.
  Default Minimum user name length allowed

  See Also:
    Constant Field Values

### MAX_USERNAME_LEN

    public static final int MAX_USERNAME_LEN

  Deprecated.
  Default Maximum user name length allowed

  See Also:
    Constant Field Values

### MIN_PASSWORD_LEN

    public static final int MIN_PASSWORD_LEN

  Deprecated.
  Default Minimum password length allowed

  See Also:
    Constant Field Values

### MAX_PASSWORD_LEN

    public static final int MAX_PASSWORD_LEN

  Deprecated.
  Default Maximum password length allowed

  See Also:
    Constant Field Values

### DEFAULT_COOKIE_TIMEOUT

    public static final int DEFAULT_COOKIE_TIMEOUT

  Deprecated.
  Default Timeout for username and password cookies

  See Also:
    Constant Field Values

### SUCCESS

    public static final String SUCCESS

  Deprecated.
  Generic Processor return value to indicate success

  See Also:
    Constant Field Values

### FAILURE

    public static final String FAILURE

  Deprecated.
  Generic Processor return value to indicate failure

  See Also:
    Constant Field Values

### DROP_COOKIES

    public static final String DROP_COOKIES

  Deprecated.
  Return value for Login IP if user wants auto login cookies to deposited on his browser

  See Also:
    Constant Field Values

### LOGIN

    public static final String LOGIN

  Deprecated.
  Return value for Login IP if user doesnt want auto login

  See Also:
    Constant Field Values

### COOKIES

    public static final String COOKIES

  Deprecated.
  Return value for AutoLoginProcessor if the user has cookies

  See Also:
    Constant Field Values

### NO_COOKIES

    public static final String NO_COOKIES

  Deprecated.
  Return value for AutoLoginProcessor if the user has no cookies

  See Also:
    Constant Field Values

### NEED_GROUP

    public static final String NEED_GROUP

  Deprecated.
  Return value for GroupProcessor if the user had more then one group

  See Also:
    Constant Field Values

### SECURITY_WEBFLOW_NAMESPACE

    public static final String SECURITY_WEBFLOW_NAMESPACE

  Deprecated.
  Security's pipeline session namespace

  See Also:
    Constant Field Values

### PSK_USERS_GROUPS

    public static final String PSK_USERS_GROUPS

  Deprecated.
  PipelineSession parameter, key for list of user's groups

  See Also:
    Constant Field Values

### USER_CREATED

    public static final String USER_CREATED

  Deprecated.
  Attribute set to true in the session if the user was just created, during the user creation and login process.

  See Also:
    Constant Field Values

### INVALID_CHARACTERS

    public static final String INVALID_CHARACTERS

  Deprecated.
  String representing characters that the user can't enter in a form field

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved